﻿@model List<DraftPortalView>
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Purchase/Views/Shared/_Layout.cshtml";
    //Permisos para la Purchase Draft
    bool _ViewDraft = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseDraft.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _UpdateDraft = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseDraft.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Purchase Request
    bool _UpdatePurchaseRequest = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AddPurchaseRequest = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewPurchaseRequest = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Purchase Quotation
    bool _UpdatePurchaseQuotation = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AddPurchaseQuotation = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewPurchaseQuotation = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseQuotation.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Purchase Order
    bool _UpdatePurchaseOrder = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AddPurchaseOrder = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewPurchaseOrder = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //Permisos para la Purchase Invoice
    bool _UpdatePurchaseInvoice = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseInvoice.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewPurchaseInvoice = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseInvoice.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<style>
    .textRight {
        text-align: right;
    }
</style>

<h1 class="page-header">@Drafts.MD</h1>
<!-- Row start -->
<div class="row">
    <div class="col-lg-3 sidebar-secondary">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default">
                <div class="panel-heading buscar_main">
                    <h3 class="panel-title">
                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">@PurchaseOrders.Search </a>
                        <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in">

                    <div class="panel-body">
                        <div class="form-group">
                            <div class="form-group">
                                @Html.TextBox("txtNro", null,
                                    new { @Id = "txtNro", @placeholder = PurchaseOrders.DocNro,
                                        @class = "form-control" })
                            </div>
                           
                            <div class="form-group">
                                <div class="input-group date">
                                    @Html.TextBox("txtDocDateFrom", null, new { @Id = "txtDocDateFrom", @placeholder = @Drafts.PD + " " + @Drafts.From, @class = "form-control" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                </div>
                                <div class="clear_simple"></div>
                                <div class="input-group date">
                                    @Html.TextBox("txtDocDateTo", null, new { @Id = "txtDocDateTo", @placeholder = @Drafts.PD + " " + @Drafts.To, @class = "form-control" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                </div>
                            </div>

                           
                            <div class="form-group">
                                @Html.TextBox("txtCodeVendor", null, new { @Id = "txtCodeVendor", @Name = "txtCodeVendor", @placeholder = @PurchaseOrders.VC, @class = "form-control" })
                            </div>
                            <div class="form-group">
                                @Html.TextBox("txtNameVendor", null, new { @Id = "txtNameVendor", @placeholder = @PurchaseOrders.VN, @class = "form-control", @disabled = "disabled" })
                            </div>
                            <div class="form-group">
                                <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search @PurchaseOrders.Vendor</button>
                            </div>
                                <div class="clear_simple"></div>
                           

                            <div class="form-group">
                                <div class="input-group date">
                                    @Html.TextBox("txtReqDate", null, new { @Id = "txtReqDate", @placeholder = @Drafts.RD, @class = "form-control" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                </div>
                            </div>
                         
                            <div class="form-group">
                                <select id="txtDocType" class="form-control" name="txtDocType">
                                    <option selected="selected" value="">@PurchaseOrders.ADT</option>
                                    <option value="22">@PurchaseOrders.PO</option>
                                    <option value="540000006">@PurchaseQuotation.PQ</option>
                                    <option value="1470000113">@PurchaseRequest.PR</option>
                                    <option value="18">@PurchaseInvoices.PIS</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <select id="txtDocStatus" class="form-control" name="txtDocStatus">
                                    <option selected="selected" value="">@PurchaseOrders.ADS</option>
                                    <option value="O">@PurchaseOrders.Open</option>
                                    <option value="C">@PurchaseOrders.Closed</option>
                                </select>
                            </div>
                        </div>
                     </div>
                    <div class="panel-footer">
                        <button type="button" id="btSearch" class="btn btn-success btn-ls pull-left " data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="BodyDraft" class="col-md-9 sidebar-data">
        <div class="panel panel-default">
            <div class="panel-body">
                <div class="table-responsive responsive table_cart">
                    <table id="data-table-MyDocumentPurchase" class="table table-striped table-hover display" style="width:100%;"></table>
                    <script type="text/javascript">
                    var assetListVM;
                    $(function () {
                        assetListVM = {
                            dt: null,
                            init: function () {
                                dt = $('#data-table-MyDocumentPurchase').DataTable({
                                    "autoWidth": false,
                                    "serverSide": true,
                                    "processing": true,
                                    "data": null,
                                    "dom": 'Blfrtip',
                                    "buttons": ['excel', 'pdf', 'print'],
                                    "searching": false,
                                    "ajax": {
                                        "url": "/Purchase/Draft/ListDraft",
                                        "data": function (data) {
                                            var dateTxtReqDate = $("#txtReqDate").datepicker("getDate");
                                            var dateTxDoctDateFrom = $("#txtDocDateFrom").datepicker("getDate");
                                            var dateTxDoctDateTo = $("#txtDocDateTo").datepicker("getDate");
                                            data.pDocDateFrom = (isNaN(dateTxDoctDateFrom) == true ? null : ((dateTxDoctDateFrom.getMonth() + 1) + "/" + dateTxDoctDateFrom.getDate() + "/" + dateTxDoctDateFrom.getFullYear()));
                                            data.pDocDateTo = (isNaN(dateTxDoctDateTo) == true ? null : ((dateTxDoctDateTo.getMonth() + 1) + "/" + dateTxDoctDateTo.getDate() + "/" + dateTxDoctDateTo.getFullYear()));
                                            data.pDocStatus = $("#txtDocStatus").val();
                                            data.pReqDate = (isNaN(dateTxtReqDate) == true ? null : ((dateTxtReqDate.getMonth() + 1) + "/" + dateTxtReqDate.getDate() + "/" + dateTxtReqDate.getFullYear()));
                                            data.pDocType = $("#txtDocType").val();
                                            data.pCodeVendor = $("#txtCodeVendor").val();
                                            data.pDocNum = $("#txtNro").val();
                                        }
                                    },
                                    "columns": [
                                        { "title": "#", "data": "DocNum", "name": "DocNum" },
                                        { "title": "@Drafts.PD", "data":"DocDateJSONView", "name": "DocDate" },
                                        { "title": "@Drafts.RD", "data":"ReqDateJSONView", "name": "ReqDate"  },
                                        { "title": "@PurchaseOrders.VC", "data":"CardCode", "name": "CardCode"  },
                                        { "title": "@PurchaseOrders.VN", "data":"CardName", "name": "CardName"  },
                                        {
                                            "title": "@Drafts.DT", "name": "ObjType", "data": "ObjType",
                                            "render": function (data, type, full, meta) {
                                                switch (data) {
                                                    case "22": return "@PurchaseOrders.PO"; break;
                                                    case "540000006": return "@PurchaseQuotation.PQ"; break;
                                                    case "1470000113": return "@PurchaseRequest.PR"; break;
                                                    case "18": return "@PurchaseInvoices.PI"; break;
                                                    default: ""; break;
                                                }
                                            }
                                        },
                                        {
                                            "title": "@Drafts.DS", "name": "DocStatus", "data": "DocStatus",
                                            "render": function (data, type, full, meta) {
                                                if(data == "C") {
                                                    return "@PurchaseOrders.Closed";
                                                }
                                                else
                                                {
                                                    return "@PurchaseOrders.Open";
                                                }
                                            }
                                        },
                                        @*{
                                            "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                            "render": function (data, type, full, meta) {
                                                switch (data.ObjType) {
                                                    case "22":
                                                        if(data.DocStatus == "C")
                                                        {
                                                            return "<button type=\"button\" id=\"HistoryButton\" onclick=\"GetHistory('"+ data.DocNum + "'," + (data.OWDDObjType != null ? data.OWDDObjType : data.ObjType) + ")\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#HistoryModal\"><span class=\"glyphicon glyphicon-eye-open\"></span>@Approval.VH</button>";
                                                        }
                                                        else
                                                        {
                                                            if (data.PODocStatus)
                                                            {
                                                                return "<button type=\"button\" id=\"HistoryButton\" onclick=\"GetHistory('"+ data.DocEntry +"',"+ (data.OWDDObjType != null ? "0" : data.OWDDObjType) + ")\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#HistoryModal\"><span class=\"glyphicon glyphicon-eye-open\"></span>@Approval.VH</button>";
                                                            }
                                                            else
                                                            {
                                                                return "<button type=\"button\" id=\"HistoryButton\" onclick=\"GetHistory('"+ data.DocEntry +"',"+ (data.ObjType != null ? "0" : data.ObjType) + ")\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#HistoryModal\"><span class=\"glyphicon glyphicon-eye-open\"></span>@Approval.VH</button>";
                                                            }
                                                        }
                                                        break;
                                                    case "540000006":
                                                        if(data.DocStatus == "C")
                                                        {
                                                            return "<button type=\"button\" id=\"HistoryButton\" onclick=\"GetHistory('"+ data.DocNum +"',"+ (data.OWDDObjType != null ? "0" : data.OWDDObjType) + ")\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#HistoryModal\"><span class=\"glyphicon glyphicon-eye-open\"></span>@Approval.VH</button>";
                                                        }
                                                        else
                                                        {
                                                            if (data.PQDocStatus)
                                                            {
                                                                return "<button type=\"button\" id=\"HistoryButton\" onclick=\"GetHistory('"+ data.DocEntry +"',"+ (data.OWDDObjType != null ? "0" : data.OWDDObjType) + ")\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#HistoryModal\"><span class=\"glyphicon glyphicon-eye-open\"></span>@Approval.VH</button>";
                                                            }
                                                            else
                                                            {
                                                                return "<button type=\"button\" id=\"HistoryButton\" onclick=\"GetHistory('"+ data.DocEntry +"',"+ (data.ObjType != null ? "0" : data.ObjType) + ")\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#HistoryModal\"><span class=\"glyphicon glyphicon-eye-open\"></span>@Approval.VH</button>";
                                                            }
                                                        }
                                                        break;
                                                    case "1470000113":
                                                        if(data.DocStatus == "C")
                                                        {
                                                            return "<button type=\"button\" id=\"HistoryButton\" onclick=\"GetHistory('"+ data.DocNum +"',"+ (data.OWDDObjType != null ? "0" : data.OWDDObjType) + ")\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#HistoryModal\"><span class=\"glyphicon glyphicon-eye-open\"></span>@Approval.VH</button>";
                                                        }
                                                        else
                                                        {
                                                            if (data.PRDocStatus)
                                                            {
                                                                return "<button type=\"button\" id=\"HistoryButton\" onclick=\"GetHistory('"+ data.DocEntry +"',"+ (data.OWDDObjType != null ? "0" : data.OWDDObjType) + ")\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#HistoryModal\"><span class=\"glyphicon glyphicon-eye-open\"></span>@Approval.VH</button>";
                                                            }
                                                            else
                                                            {
                                                                return "<button type=\"button\" id=\"HistoryButton\" onclick=\"GetHistory('"+ data.DocEntry +"',"+ (data.ObjType != null ? "0" : data.ObjType) + ")\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#HistoryModal\"><span class=\"glyphicon glyphicon-eye-open\"></span>@Approval.VH</button>";
                                                            }
                                                        }
                                                        break;
                                                    case "18":
                                                        if(data.DocStatus == "C")
                                                        {
                                                            return "<button type=\"button\" id=\"HistoryButton\" onclick=\"GetHistory('"+ data.DocNum +"',"+ (data.OWDDObjType != null ? data.OWDDObjType : data.ObjType) + ")\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#HistoryModal\"><span class=\"glyphicon glyphicon-eye-open\"></span>@Approval.VH</button>";
                                                        }
                                                        else
                                                        {
                                                            if (data.PODocStatus)
                                                            {
                                                                return "<button type=\"button\" id=\"HistoryButton\" onclick=\"GetHistory('"+ data.DocEntry +"',"+ (data.OWDDObjType != null ? "0" : data.OWDDObjType) + ")\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#HistoryModal\"><span class=\"glyphicon glyphicon-eye-open\"></span>@Approval.VH</button>";
                                                            }
                                                            else
                                                            {
                                                                return "<button type=\"button\" id=\"HistoryButton\" onclick=\"GetHistory('"+ data.DocEntry +"',"+ (data.ObjType != null ? "0" : data.ObjType) + ")\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#HistoryModal\"><span class=\"glyphicon glyphicon-eye-open\"></span>@Approval.VH</button>";
                                                            }
                                                        }
                                                        break;
                                                    default: ""; break;
                                                }
                                            }
                                        },*@
                                        {
                                            "title": "", "data": null,"width": "110px", "orderable": false, "name": "",
                                            "render": function (data, type, full, meta) {
                                                var mReturnValue = "<div class=\"block_tabla_minimo\">";
                                                switch (data.ObjType) {
                                                    case "22":
                                                        var mReturnValue;
                                                        if(data.DocStatus == "C")
                                                        {
                                                            if(@_ViewPurchaseOrder.ToString().ToLower() == true)
                                                            {
                                                                mReturnValue += "<a href=\"/Purchase/PurchaseOrder/ActionPurchaseOrder?ActionPurchaseOrder=View&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                            }
                                                        }
                                                        else
                                                        {
                                                            @*if (data.PODocStatus)
                                                            {
                                                                if(@_ViewDraft.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Purchase/PurchaseOrder/ActionPurchaseOrder?ActionPurchaseOrder=ViewDraft&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                            }
                                                            else
                                                            {*@
                                                                if(@_ViewPurchaseOrder.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Purchase/PurchaseOrder/ActionPurchaseOrder?ActionPurchaseOrder=View&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                                if(@_UpdatePurchaseOrder.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Purchase/PurchaseOrder/ActionPurchaseOrder?ActionPurchaseOrder=Update&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.Edit</a>";
                                                                }
                                                            //}
                                                        }
                                                        break;
                                                    case "540000006":
                                                        if(data.DocStatus == "C")
                                                        {
                                                            if(@_ViewPurchaseQuotation.ToString().ToLower() == true)
                                                            {
                                                                mReturnValue += "<a href=\"/Purchase/PurchaseQuotation/ActionPurchaseOrder?ActionPurchaseOrder=View&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                            }
                                                        }
                                                        else
                                                        {
                                                            @*if (data.PQDocStatus)
                                                            {
                                                                if(@_ViewDraft.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Purchase/PurchaseQuotation/ActionPurchaseOrder?ActionPurchaseOrder=ViewDraft&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                            }
                                                            else
                                                            {*@
                                                                if(@_ViewPurchaseQuotation.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Purchase/PurchaseQuotation/ActionPurchaseOrder?ActionPurchaseOrder=View&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                                if(@_UpdatePurchaseQuotation.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Purchase/PurchaseQuotation/ActionPurchaseOrder?ActionPurchaseOrder=Update&IdPO="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.Edit</a>";
                                                                }
                                                            //}
                                                        }
                                                        break;
                                                    case "1470000113":
                                                        if(data.DocStatus == "C")
                                                        {
                                                            if(@_ViewPurchaseRequest.ToString().ToLower() == true)
                                                            {
                                                                 mReturnValue += "<a href=\"/Purchase/PurchaseRequest/ActionPurchaseRequest?ActionPurchaseRequest=View&IdPR="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                            }
                                                        }
                                                        else
                                                        {
                                                            @*if (data.PRDocStatus)
                                                            {
                                                                if(@_ViewDraft.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Purchase/PurchaseRequest/ActionPurchaseRequest?ActionPurchaseRequest=ViewDraft&IdPR="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                            }
                                                            else
                                                            {*@
                                                                if(@_ViewPurchaseRequest.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Purchase/PurchaseRequest/ActionPurchaseRequest?ActionPurchaseRequest=View&IdPR="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                                if(@_UpdatePurchaseRequest.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Purchase/PurchaseRequest/ActionPurchaseRequest?ActionPurchaseRequest=Update&IdPR="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                            //}
                                                        }
                                                        break;
                                                    case "18":
                                                        if(data.DocStatus == "C")
                                                        {
                                                            if(@_ViewPurchaseInvoice.ToString().ToLower() == true)
                                                            {
                                                                mReturnValue += "<a href=\"/Purchase/PurchaseInvoice/ActionPurchaseInvoice?ActionPurchaseInvoice=View&IdPI="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                            }
                                                        }
                                                        else
                                                        {
                                                            @*if (data.PODocStatus)
                                                            {
                                                                if(@_ViewDraft.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Purchase/PurchaseInvoice/ActionPurchaseInvoice?ActionPurchaseInvoice=ViewDraft&IdPI="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                            }
                                                            else
                                                            {*@
                                                                if(@_ViewPurchaseInvoice.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Purchase/PurchaseInvoice/ActionPurchaseInvoice?ActionPurchaseRequest=View&IdPI="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                                if(@_UpdatePurchaseInvoice.ToString().ToLower() == true)
                                                                {
                                                                    mReturnValue += "<a href=\"/Purchase/PurchaseInvoice/ActionPurchaseInvoice?ActionPurchaseRequest=Update&IdPI="+data.DocEntry+"&fromController=MyDocuments\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                                }
                                                            //}
                                                        }
                                                        break;
                                                    default: "";
                                                        break;
                                                }
                                                return mReturnValue + "</div>";
                                            }
                                        },
                                        @*{
                                            "title": "", "data": null, "orderable": false, "name": "",
                                            "render": function (data, type, full, meta) {
                                                if(data.WddStatus == "Y") {
                                                    return "<button type=\"button\" onclick=\"CreateDocument('"+data.DocEntry+"')\" class=\"btn btn-primary btn-xs\" data-toggle=\"modal\" data-target=\"#ApproveModal\"><span class=\"glyphicon glyphicon-search\"></span>@Drafts.CD</button>";
                                                }
                                                else
                                                {
                                                    return "&nbsp;";
                                                }
                                            }
                                        },*@
                                        {
                                            "title": "Order Total Amount", "data": null, "orderable": false, "name": "", "className": "textRight",
                                            "render": function (data, type, full, meta) {
                                                //return (data.DocTotal != null ? Math.round(data.DocTotal * 100)/100 : 0);
                                                var n = data.DocTotal != null ? Math.round(data.DocTotal * 100) / 100 : 0;
                                                var total = parseFloat(n).toFixed(2)
                                                return total;
                                            }
                                        }
                                    ],
                                    "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                });
                            },
                            refresh: function () {
                                dt.ajax.reload();
                            }
                        }
                    });
                    </script>
                </div>
            </div>
        </div>
        <div class="but_blok_footer">
            <div class="btn-group dropup pull-right">
                <button type="button" class="btn btn-success btn-lg dropdown-toggle" data-toggle="dropdown" aria-expanded="false">@Drafts.AddDocument <span class="caret"></span></button>
                <ul class="dropdown-menu" role="menu">
                    @if (_AddPurchaseRequest)
                    {
                        <li><a href="@Url.Action("ActionPurchaseRequest", "PurchaseRequest", new { @ActionPurchaseRequest = "Add", @IdPR = 0, @fromController = "MyDocuments" })">@PurchaseRequest.PR</a></li>
                    }
                    @if (_AddPurchaseQuotation)
                    {
                        <li><a href="@Url.Action("ActionPurchaseOrder", "PurchaseQuotation", new { @ActionPurchaseOrder = "Add", @IdPO = 0, @fromController = "MyDocuments" })">@PurchaseQuotation.PQ</a></li>
                    }
                    @if (_AddPurchaseOrder)
                    {
                        <li><a href="@Url.Action("ActionPurchaseOrder", "PurchaseOrder", new { @ActionPurchaseOrder = "Add", @IdPO = 0, @fromController = "MyDocuments" })">@PurchaseOrders.PO</a></li>
                    }
                </ul>
            </div>
        </div>
    </div>
</div>


</div>

@*History Modal*@
@*<div class="modal fade" id="HistoryModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelHistoryModalHistory">@Approval.VH</h4>
            </div>
            <div class="">
                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadHistory" style=" text-align center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyHistory">
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" onclick="ClearHistoryTable()" class="btn btn-default" data-dismiss="modal">Ok</button>
            </div>
        </div>
    </div>
</div>*@

@*Modal Vendors*@
<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">@PurchaseOrders.Search @PurchaseOrders.Vendor</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive responsive table_cart">
                        <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                        <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/Purchase/Draft/_Vendors",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@BusinessPartners.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@BusinessPartners.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@BusinessPartners.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@BusinessPartners.Customer"; break;
                                                        case "S": return "@BusinessPartners.Vendor"; break;
                                                        case "L": return "@BusinessPartners.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetVendor('" + data.CardCode + "','" + data.CardName + "',true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @PurchaseOrders.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                        </script>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@*Modal Vendors*@
<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">@PurchaseOrders.Search @PurchaseOrders.Vendor</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="blok_pop_vendor">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCodeVendor" value="option1" checked=""> @PurchaseOrders.BC
                        </label>

                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckNameVendor" value="option1" checked=""> @PurchaseOrders.BN
                        </label>
                    </div>
                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchVendor" class="form-control" placeholder="@PurchaseOrders.Search">
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" @*onclick="fut_modal_body($('.modal'))"*@ class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>
                </div>

                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadVendor" style=" text-align center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyVendor">
                            @Html.Partial("_Vendors", new List<BusinessPartnerView>())
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/Draft-Index")
